#pragma once

#include "Surface.h"
#include "Accelerator.h"


/**
 * @ref Accelerator class documentation.
 */
class AabbTree : public Accelerator
{
public:
    /** @ref Accelerator class documentation. */
	AabbTree( const SurfaceList *scene );

    /** @ref Accelerator class documentation. */
    virtual ~AabbTree();

    /** @ref Accelerator class documentation. */
    virtual Intersection intersect( Ray ray, float tStart, float tEnd ) const;
};