#pragma once

#include "Surface.h"
#include "Accelerator.h"

/**
 * @ref Accelerator class documentation.
 */
class Octree : public Accelerator
{
public:
    /** @ref Accelerator class documentation. */
	Octree( const SurfaceList *scene );

    /** @ref Accelerator class documentation. */
    virtual ~Octree();

    /** @ref Accelerator class documentation. */
    virtual Intersection intersect( Ray ray, float tStart, float tEnd ) const;
};