// © 2023, CGVR (https://cgvr.informatik.uni-bremen.de/),
// Author: Andre Mühlenbrock (muehlenb@uni-bremen.de)

#pragma once

#include <string>

#include <json.hpp>

#include "src/scene/Scene.h"

/**
 * Represents a point light source.
 */
class SceneLoader {
public:
    static Scene loadScene(std::string path);
};
